diff --git a/locale/en/all b/locale/en/all
index bc30d2116..b2e9a001a 100644
--- a/locale/en/all
+++ b/locale/en/all
@@ -296,12 +296,13 @@ $self->{texts} = {
   'Article'                     => '',
   'Article Code'                => '',
   'Article Code missing!'       => '',
+  'Article classification'      => '',
   'Article type'                => '',
   'Articles'                    => '',
   'As a result, the saved onhand values of the present goods can be stored into a warehouse designated by you, or will be reset for a proper warehouse tracking' => '',
   'Assemblies'                  => '',
-  'Assemblies can not be imported (yet). But the type column is used for sanity checks on price updates in order to prevent that articles with the wrong type will be updated.' => '',
   'Assembly'                    => '',
+  'Assembly (typeabbreviation)' => 'A',
   'Assembly Description'        => '',
   'Assembly Number'             => '',
   'Assembly Number missing!'    => '',
@@ -316,6 +317,7 @@ $self->{texts} = {
   'Assignment of articles to sections' => '',
   'Assistant for general ledger corrections' => '',
   'Assortment'                  => '',
+  'Assortment (typeabbreviation)' => 'As',
   'Assortment items'            => '',
   'Assortments'                 => '',
   'Assume Tax Consultant Data in Tax Computation?' => '',
@@ -662,6 +664,7 @@ $self->{texts} = {
   'Create a new delivery term'  => '',
   'Create a new department'     => '',
   'Create a new group'          => '',
+  'Create a new parts classification' => '',
   'Create a new payment term'   => '',
   'Create a new predefined text' => '',
   'Create a new price rule'     => '',
@@ -1067,7 +1070,6 @@ $self->{texts} = {
   'Edit Follow-Up'              => '',
   'Edit Follow-Up for #1'       => '',
   'Edit General Ledger Transaction' => '',
-  'Edit Group'                  => '',
   'Edit Language'               => '',
   'Edit Lead'                   => '',
   'Edit Letter'                 => '',
@@ -1107,6 +1109,7 @@ $self->{texts} = {
   'Edit general settings'       => '',
   'Edit greetings'              => '',
   'Edit note'                   => '',
+  'Edit parts classification'   => '',
   'Edit partsgroup'             => '',
   'Edit payment term'           => '',
   'Edit picture'                => '',
@@ -1392,12 +1395,8 @@ $self->{texts} = {
   'Group Invoices'              => '',
   'Group Items'                 => '',
   'Group assignment'            => '',
-  'Group deleted!'              => '',
   'Group list'                  => '',
   'Group membership'            => '',
-  'Group missing!'              => '',
-  'Group saved!'                => '',
-  'Groups'                      => '',
   'Groups that are valid for this client for access rights' => '',
   'Groups this user is a member in' => '',
   'Groups valid for this client' => '',
@@ -1445,18 +1444,21 @@ $self->{texts} = {
   'If all of the following match' => '',
   'If amounts differ more than "Maximal amount difference" (see settings), this item is marked as invalid.' => '',
   'If checked the taxkey will not be exported in the DATEV Export, but only IF chart taxkeys differ from general ledger taxkeys' => '',
+  'If column \'pclass\' is present the article type is then irrelevant or used as default ' => '',
   'If configured this bin will be preselected for all new parts. Also this bin will be used as the master default bin, if default transfer out with master bin is activated.' => '',
   'If disabled purchase delivery orders can only be created by conversion from existing requests for quotations and purchase orders.' => '',
   'If disabled purchase invoices can only be created by conversion from existing requests for quotations, purchase orders and purchase delivery orders.' => '',
   'If disabled sales orders cannot be converted into sales invoices directly.' => '',
   'If disabled sales quotations cannot be converted into sales invoices directly.' => '',
   'If enabled a column will be shown in sales and purchase orders that lists both the amount and the value not shipped yet for each item.' => '',
-  'If enabled a warning will be shown in sales and purchase orders if there are two or more positions of the same part (new controller only).' => 'Falls eingeschaltet, wird eine Warnung angezeigt, wenn der Auftrag mehrere gleiche Artikel enthält (nur neuer Controller).',
+  'If enabled a warning will be shown in sales and purchase orders if there are two or more positions of the same part (new controller only).' => '',
   'If enabled only those projects that are assigned to the currently selected customer are offered for selection in sales records.' => '',
   'If enabled purchase and sales records cannot be saved if no transaction description has been entered.' => '',
+  'If item not found, allow creation of new item' => '',
   'If left empty the default sender from the kivitendo configuration will be used (key \'email_from\' in section \'periodic_invoices\'; current value: #1).' => '',
   'If missing then the start date will be used.' => '',
-  'If the article type is set to \'mixed\' then a column called \'type\' must be present.' => '',
+  'If searching a part from a document and no part is found then offer to create a new part.' => '',
+  'If the article type is set to \'mixed\' then a column called \'part_type\' or called \'pclass\' must be present.' => '',
   'If the automatic creation of invoices for fees and interest is switched on for a dunning level then the following accounts will be used for the invoice.' => '',
   'If the database user listed above does not have the right to create a database then enter the name and password of the superuser below:' => '',
   'If the default transfer out always succeed use this bin for negative stock quantity.' => '',
@@ -1571,9 +1573,9 @@ $self->{texts} = {
   'It will not be further modified by any other source, and will be offered in records like this.' => '',
   'It will simply set the taxkey to 0 (meaning "no taxes") which is the correct value for such inventory transactions.' => '',
   'Italy'                       => '',
+  'Item does not exists in the database' => '',
   'Item mode'                   => '',
   'Item multi selection with qty' => '',
-  'Item not on file!'           => '',
   'Item values'                 => '',
   'Item variables'              => '',
   'Jahresverkehrszahlen neu'    => '',
@@ -1733,6 +1735,8 @@ $self->{texts} = {
   'Media \'#1\' is not supported yet/anymore.' => '',
   'Medium Number'               => '',
   'Memo'                        => '',
+  'Merchandise'                 => 'Merchandise',
+  'Merchandise (typeabbreviation)' => 'M',
   'Message'                     => '',
   'Method'                      => '',
   'Microfiche'                  => '',
@@ -1749,7 +1753,7 @@ $self->{texts} = {
   'Missing taxkeys in invoices with taxes.' => '',
   'Missing transport cost: #1  Are you sure?' => '',
   'Mitarbeiter'                 => '',
-  'Mixed (requires column "type")' => '',
+  'Mixed (requires column "type" or "pclass")' => '',
   'Mobile'                      => '',
   'Mobile1'                     => '',
   'Mobile2'                     => '',
@@ -1787,7 +1791,6 @@ $self->{texts} = {
   'New Password'                => '',
   'New Purchase Price Rule'     => '',
   'New Sales Price Rule'        => '',
-  'New assembly'                => '',
   'New client #1: The database configuration fields "host", "port", "name" and "user" must not be empty.' => '',
   'New client #1: The name must be unique and not empty.' => '',
   'New contact'                 => '',
@@ -1799,7 +1802,6 @@ $self->{texts} = {
   'New row, description'        => '',
   'New row, partnumber'         => '',
   'New sales order'             => '',
-  'New service'                 => '',
   'New shipto'                  => '',
   'New vendor'                  => '',
   'New window/tab'              => '',
@@ -1845,6 +1847,7 @@ $self->{texts} = {
   'No or an unknown authenticantion module specified in "config/kivitendo.conf".' => '',
   'No part was found matching the search parameters.' => '',
   'No part was selected.'       => '',
+  'No parts classification has been created yet.' => '',
   'No payment term has been created yet.' => '',
   'No picture has been uploaded' => '',
   'No picture uploaded yet'     => '',
@@ -1888,6 +1891,7 @@ $self->{texts} = {
   'None'                        => '',
   'None (PriceSource Discount)' => '',
   'None (PriceSource)'          => '',
+  'None (typeabbreviation)'     => '-',
   'Normal'                      => '',
   'Normal users cannot log in.' => '',
   'Normalize Customer / Vendor names' => '',
@@ -2010,6 +2014,7 @@ $self->{texts} = {
   'POSTED'                      => '',
   'POSTED AS NEW'               => '',
   'PRINTED'                     => '',
+  'PType'                       => '',
   'Package name'                => '',
   'Packing Lists'               => '',
   'Page'                        => '',
@@ -2019,6 +2024,8 @@ $self->{texts} = {
   'Part'                        => '',
   'Part "#1" has chargenumber or best before date set. So it cannot be transfered automatically.' => '',
   'Part (database ID)'          => '',
+  'Part (typeabbreviation)'     => 'P',
+  'Part Classification'         => '',
   'Part Description'            => '',
   'Part Description missing!'   => '',
   'Part Notes'                  => '',
@@ -2030,6 +2037,8 @@ $self->{texts} = {
   'Partial invoices'            => '',
   'Partnumber'                  => '',
   'Parts'                       => '',
+  'Parts Classification'        => '',
+  'Parts Classifications'       => '',
   'Parts Inventory'             => '',
   'Parts Master Data'           => '',
   'Parts with existing part numbers' => '',
@@ -2181,6 +2190,7 @@ $self->{texts} = {
   'Print template base file name' => '',
   'Print templates'             => '',
   'Print templates to use'      => '',
+  'Printdate'                   => '',
   'Printer'                     => '',
   'Printer Command'             => '',
   'Printer Description'         => '',
@@ -2194,6 +2204,8 @@ $self->{texts} = {
   'Private Phone'               => '',
   'Problem'                     => '',
   'Produce Assembly'            => '',
+  'Production'                  => 'Production',
+  'Production (typeabbreviation)' => 'W',
   'Productivity'                => '',
   'Profit determination'        => '',
   'Proforma Invoice'            => '',
@@ -2217,6 +2229,8 @@ $self->{texts} = {
   'Proposal'                    => '',
   'Proposals'                   => '',
   'Prozentual/Absolut'          => '',
+  'Purchase'                    => 'Purchase',
+  'Purchase (typeabbreviation)' => 'P',
   'Purchase Delivery Order'     => '',
   'Purchase Delivery Orders'    => '',
   'Purchase Delivery Orders deleteable' => '',
@@ -2336,6 +2350,7 @@ $self->{texts} = {
   'Report and misc. Preferences' => '',
   'Report date'                 => '',
   'Report for'                  => '',
+  'Report separately'           => '',
   'Reports'                     => '',
   'Representative'              => '',
   'Representative for Customer' => '',
@@ -2416,6 +2431,8 @@ $self->{texts} = {
   'Saldo Debit'                 => '',
   'Saldo neu'                   => '',
   'Saldo per'                   => '',
+  'Sales'                       => 'Sales',
+  'Sales (typeabbreviation)'    => 'S',
   'Sales Delivery Order'        => '',
   'Sales Delivery Orders'       => '',
   'Sales Delivery Orders deleteable' => '',
@@ -2538,6 +2555,7 @@ $self->{texts} = {
   'Serial No.'                  => '',
   'Serial Number'               => '',
   'Service'                     => '',
+  'Service (typeabbreviation)'  => 'Sv',
   'Service Items'               => '',
   'Service Number missing!'     => '',
   'Service, assembly or part'   => '',
@@ -2791,6 +2809,7 @@ $self->{texts} = {
   'That export does not exist.' => '',
   'That is why kivitendo could not find a default currency.' => '',
   'The \'name\' is the field shown to the user during login.' => '',
+  'The \'pclass\' column has the same abbreviation like a part export. The first letter is for the type Part,Assembly or Service, the second(and third) for Part Classification' => '',
   'The \'tag\' field must only consist of alphanumeric characters or the carachters - _ ( )' => '',
   'The AP transaction #1 has been deleted.' => '',
   'The AR transaction #1 has been deleted.' => '',
@@ -2807,6 +2826,7 @@ $self->{texts} = {
   'The SEPA export has been created.' => '',
   'The SEPA strings have been saved.' => '',
   'The WebDAV feature has been used.' => '',
+  'The abbreviation is missing.' => '',
   'The acceptance status has been created.' => '',
   'The acceptance status has been deleted.' => '',
   'The acceptance status has been saved.' => '',
@@ -2841,6 +2861,7 @@ $self->{texts} = {
   'The base unit does not exist.' => '',
   'The base unit relations must not contain loops (e.g. by saying that unit A\'s base unit is B, B\'s base unit is C and C\'s base unit is A) in row %d.' => '',
   'The basic client tables have not been created for this client\'s database yet.' => '',
+  'The basic parts classification cannot be deleted.' => '',
   'The body is missing.'        => '',
   'The booking group has been created.' => '',
   'The booking group has been deleted.' => '',
@@ -2976,6 +2997,10 @@ $self->{texts} = {
   'The partnumber already exists!' => '',
   'The partnumber already exists.' => '',
   'The partnumber is missing.'  => '',
+  'The parts classification has been created.' => '',
+  'The parts classification has been deleted.' => '',
+  'The parts classification has been saved.' => '',
+  'The parts classification is in use and cannot be deleted.' => '',
   'The parts for this delivery order have already been transferred in.' => '',
   'The parts for this delivery order have already been transferred out.' => '',
   'The parts have been removed.' => '',
@@ -3288,6 +3313,7 @@ $self->{texts} = {
   'Type of Business'            => '',
   'Type of Customer'            => '',
   'Type of Vendor'              => '',
+  'TypeAbbreviation'            => '',
   'Types of Business'           => '',
   'USTVA'                       => '',
   'USTVA 2004'                  => '',
@@ -3362,6 +3388,8 @@ $self->{texts} = {
   'Use linked items'            => '',
   'Use master default bin for Default Transfer, if no default bin for the part is configured' => '',
   'Useable for…'                => '',
+  'Used for Purchase'           => '',
+  'Used for Sale'               => '',
   'User'                        => '',
   'User Config'                 => '',
   'User Preferences'            => '',
@@ -3535,6 +3563,7 @@ $self->{texts} = {
   'ap_aging_list'               => '',
   'ar_aging_list'               => '',
   'ar_chart isn\'t a valid chart' => '',
+  'article_list'                => '',
   'as at'                       => '',
   'assembled'                   => '',
   'assembly'                    => '',
@@ -3721,6 +3750,8 @@ $self->{texts} = {
   'saved'                       => '',
   'saved!'                      => '',
   'saving data'                 => '',
+  'searched part not for purchase' => '',
+  'searched part not for sale'  => '',
   'semiannually'                => '',
   'sent'                        => '',
   'sent to printer'             => '',
diff --git a/sql/Pg-upgrade2/part_classifications.sql b/sql/Pg-upgrade2/part_classifications.sql
new file mode 100644
index 000000000..5dc7af8d6
--- /dev/null
+++ b/sql/Pg-upgrade2/part_classifications.sql
@@ -0,0 +1,19 @@
+-- @tag: part_classifications
+-- @description: "zusätzliche Tabelle mit Flags zur Klassifizierung von Artikeln"
+-- @depends: release_3_4_1
+CREATE TABLE part_classifications (
+    id SERIAL PRIMARY KEY,
+    description text,
+    abbreviation text,
+    used_for_purchase BOOLEAN DEFAULT 't' NOT NULL,
+    used_for_sale     BOOLEAN DEFAULT 't' NOT NULL
+);
+
+INSERT INTO part_classifications values(0,'-------'    ,'None (typeabbreviation)','t','t');
+INSERT INTO part_classifications values(1,'Purchase'   ,'Purchase (typeabbreviation)'   ,'t','f');
+INSERT INTO part_classifications values(2,'Sales'      ,'Sales (typeabbreviation)'      ,'f','t');
+INSERT INTO part_classifications values(3,'Merchandise','Merchandise (typeabbreviation)','t','t');
+INSERT INTO part_classifications values(4,'Production' ,'Production (typeabbreviation)' ,'f','t');
+SELECT setval('part_classifications_id_seq',4);
+ALTER TABLE parts ADD COLUMN classification_id integer DEFAULT 0;
+ALTER TABLE parts ADD CONSTRAINT part_classification_id_fkey FOREIGN KEY (classification_id) REFERENCES part_classifications(id);
diff --git a/t/controllers/csvimport/parts.t b/t/controllers/csvimport/parts.t
index 8a27d79c6..d9700884b 100644
--- a/t/controllers/csvimport/parts.t
+++ b/t/controllers/csvimport/parts.t
@@ -1,4 +1,4 @@
-use Test::More tests => 33;
+use Test::More tests => 43;
 
 use strict;
 
@@ -71,7 +71,7 @@ sub reset_state {
     module   => 'IC',
     name     => 'mycvar',
     type     => 'text',
-    description => 'mein schattz',
+    description => 'mein Schatz',
     searchable  => 1,
     sortkey => 1,
     includeable => 0,
@@ -94,6 +94,7 @@ sub test_import {
     controller => $controller,
     file       => $file,
   );
+  #print "profile param type=".$csv_part_import->settings->{parts_type}."\n";
 
   $csv_part_import->test_run(0);
   $csv_part_import->csv(SL::Helper::Csv->new(file                    => $csv_part_import->file,
@@ -153,6 +154,7 @@ my $settings1 = {
                        article_number_policy     => 'update_prices',
                        shoparticle_if_missing    => '0',
                        part_type                 => 'part',
+                       part_classification       => 3,
                        default_buchungsgruppe    => ($bugru ? $bugru->id : undef),
                        apply_buchungsgruppe      => 'all',
                 };
@@ -162,7 +164,8 @@ my $settings2 = {
                        sellprice_adjustment_type => 'percent',
                        article_number_policy     => 'update_parts',
                        shoparticle_if_missing    => '0',
-                       part_type                 => 'part',
+                       part_type                 => 'mixed',
+                       part_classification       => 4,
                        default_buchungsgruppe    => ($bugru ? $bugru->id : undef),
                        apply_buchungsgruppe      => 'missing',
                        default_unit              => 'Stck',
@@ -204,29 +207,31 @@ is $entry->{object}->listprice,  '97.3', 'updated listprice';
 ##### insert parts with warehouse,bin name
 
 $file = \<<EOL;
-partnumber;description;warehouse;bin
-P1000;Teil 1000;Lager1;Ort1_von_Lager1
-P1001;Teil 1001;Lager1;Ort2_von_Lager1
-P1002;Teil 1002;Lager2;Ort1_von_Lager2
-P1003;Teil 1003;Lager2;Ort2_von_Lager2
+partnumber;description;warehouse;bin;part_type
+P1000;Teil 1000;Lager1;Ort1_von_Lager1;part
+P1001;Teil 1001;Lager1;Ort2_von_Lager1;service
+P1002;Teil 1002;Lager2;Ort1_von_Lager2;service
+P1003;Teil 1003;Lager2;Ort2_von_Lager2;part
 EOL
 $entries = test_import($file,$settings2);
 $entry = $entries->[0];
 is $entry->{object}->description, 'Teil 1000', 'Teil 1000 set';
 is $entry->{object}->warehouse_id, $wh1->id, 'Lager1';
 is $entry->{object}->bin_id, $bin1_1->id, 'Lagerort1';
+is $entry->{object}->part_type, 'part', 'Typ ist part';
 $entry = $entries->[2];
 is $entry->{object}->description, 'Teil 1002', 'Teil 1002 set';
 is $entry->{object}->warehouse_id, $wh2->id, 'Lager2';
 is $entry->{object}->bin_id, $bin2_1->id, 'Lagerort1';
+is $entry->{object}->part_type, 'service', 'Typ ist service';
 
 ##### update warehouse and bin
 $file = \<<EOL;
-partnumber;description;warehouse;bin
-P1000;Teil 1000;Lager2;Ort1_von_Lager2
-P1001;Teil 1001;Lager1;Ort1_von_Lager1
-P1002;Teil 1002;Lager2;Ort1_von_Lager1
-P1003;Teil 1003;Lager2;kein Lagerort
+partnumber;description;warehouse;bin;part_type
+P1000;Teil 1000;Lager2;Ort1_von_Lager2;part
+P1001;Teil 1001;Lager1;Ort1_von_Lager1;part
+P1002;Teil 1002;Lager2;Ort1_von_Lager1;part
+P1003;Teil 1003;Lager2;kein Lagerort;part
 EOL
 $entries = test_import($file,$settings2);
 $entry = $entries->[0];
@@ -269,16 +274,41 @@ is $l->longdescription, 'notes IT','IT notes set';
 ##### add customvar
 $file = \<<EOL;
 partnumber;cvar_mycvar
-P1000;das ist der ring
-P1001;nicht der nibelungen
+P1000;das ist der Ring
+P1001;nicht der Nibelungen
 P1002;sondern vom
 P1003;Herr der Ringe
 EOL
 $entries = test_import($file,$settings2);
 $entry = $entries->[0];
 is $entry->{object}->partnumber, 'P1000', 'P1000 set';
-is $entry->{raw_data}->{cvar_mycvar},'das ist der ring','CVAR set';
-is @{$entry->{object}->custom_variables}[0]->text_value,'das ist der ring','Cvar mit richtigem Weert';
+is $entry->{raw_data}->{cvar_mycvar},'das ist der Ring','CVAR set';
+is @{$entry->{object}->custom_variables}[0]->text_value,'das ist der Ring','Cvar mit richtigem Wert';
+
+# set locale to de so we can match abbreviations
+$::locale = $old_locale;
+##### import part classification
+$file = \<<EOL;
+partnumber;pclass;description
+W1000;WE;Teil 1000
+W1001;WV;Teil 1001
+D1002;DV;Dienstleistung 1002
+D1003;DH;Dienstleistung 1003
+EOL
+$entries = test_import($file,$settings2);
+$entry = $entries->[0];
+is $entry->{object}->classification_id, '1', 'W1000 von Klasse Einkauf';
+is $entry->{object}->type, 'part', 'W1000 vom Type part';
+$entry = $entries->[1];
+is $entry->{object}->classification_id, '2', 'W1001 von Klasse Verkauf';
+is $entry->{object}->type, 'part', 'W1001 vom Type part';
+$entry = $entries->[2];
+is $entry->{object}->classification_id, '2', 'D1002 von Klasse Verkauf';
+is $entry->{object}->type, 'service', 'D1002 vom Type service';
+$entry = $entries->[3];
+is $entry->{object}->classification_id, '3', 'D1003 von Klasse Handelsware';
+is $entry->{object}->type, 'service', 'D1003 vom Type service';
+
 
 clear_up(); # remove all data at end of tests
 
